#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int m;
    scanf("%i",&m);
    
    int a[m][2];
    for(int i=0;i<m;i++) for(int j=0;j<2;j++) scanf("%i",&a[i][j]);
    int zbir=0, maxZbir;
    for(int i=0;i<m;i++){
        maxZbir = 0;
        for(int j=0;j<=i;j++){
            int x=a[j][0], y=a[j][1];
            zbir = 0;
            for(int k=0;k<=i;k++) zbir+=fabs(a[k][0] - x) * fabs(a[k][1]-y);
            if (zbir>maxZbir) maxZbir = zbir;
        }
        printf("%i\n",maxZbir);
    }

    return 0;
}